Subject: RE: Q.931 question WAS Re: [Sipping] Early media; a summary after the IETF

From: "Francois Audet" <[email-masked]>
Date: Mon, 7 Apr 2003 18:13:03 -0700

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: Monday, April 07, 2003 00:40
> To: Drage, Keith (Keith)
> Cc: Watson, Mark [MOP:EP10:EXCH]; Taylor, Tom-PT 
> [CAR:5N00:EXCH]; [email-masked]; Jon Peterson
> Subject: Q.931 question WAS Re: [Sipping] Early media; a 
> summary after the IETF
> 
> 
> Keith,
> 
>  > In the absence of progress indicator #1, the phone has the 
> freedom to  > generate either a local ringing tone, or to 
> provide the tone that is  > available in-band.  >  > The 
> progress indicator #1 does not indicate the presence of such 
> a  > tone or announcement, rather it indicates that one 
> should listen to  > it and not generate a local ringing tone.
> 
> Do you know of any particular example of a phone that 
> generates its own 
> local ringing tone? As far as I know, not even GSM phones do that.

Gonzallo, this is what typically happens:
- PBX receives an ALERTING message with no Progress indicator (and no PI
where
  sent before the ALERTING in other messages such as PROGRESS).
- PBX then connects the phone to a LOCAL tone generator and provides the
tone
  inband to the phone.
- There is no in-band media on the trunk.

Now, it would be perfectly legal for the PBX to tell the phone to provide
its
own tone (this would assume a phone that has the capability to do so). I
don't know if any digital (not IP) phone does this, but it is possible.

Finally, in the same scenario, substitute an IP phone to the digital phone, 
controlled with a proprietary protocol or something like MEGACO/MGCP. In
that
case, the PBX would normally instruct the phone to play its own ringing
tone.
I can garantee you that this happens all the time.

So yes, IP phones (at least) can generate their own inband tones.